package com.flossom.common.core.enums;

/**
 * wx_script_message
 * <p>
 * 消息类型：1、用户注册，2、提交留言，2、仪器绑定
 */
public enum MessageTypeEnum {

    USER_REGISTRATION(1, "用户注册"),
    SUBMIT_MESSAGE(2, "提交留言"),
    BINDING_INSTRUMENTS(3, "绑定仪器"),
    COMPLETE_USER_INFORMATION(4, "完善用户信息");

    private final Integer code;
    private final String info;

    MessageTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
